// $Id$

/******************************************************************************
*	Copyright (C) 2006	Toilers Research Group -- Colorado School of Mines
******************************************************************************/ 

/**
 * TestbedProfiler: Broadcast a message and anyone who hears the message
 * reports via serial statistics about the received message.
 *
 * @author Chad S Metcalf <cmetcalf@mines.edu>
 */

#ifndef _TESTBEDPROFILER_H_
#define _TESTBEDPROFILER_H_

enum {
	AM_COMMANDMESSAGE	= 21,
	AM_REPORTMESSAGE	= 22,
	AM_BROADCASTMESSAGE = 23
};


typedef nx_struct CommandMessage {
	nx_uint16_t moteID;
	nx_uint16_t iterations;
	nx_uint16_t interval;
	nx_uint8_t  power;
	nx_uint8_t  bytes;
	nx_uint8_t  channel;
} CommandMsg_t;


typedef nx_struct ReportMessage {
	nx_uint16_t recv;
	nx_uint16_t src;
	nx_uint16_t seqno;
	nx_int8_t	rssi;
	nx_uint8_t	lqi;
} ReportMsg_t;


typedef nx_struct BroadcastMessage {
	nx_uint16_t src;
	nx_uint16_t seqno;
	nx_uint8_t	power;
} BroadcastMsg_t;


#endif
