
public class Link {

	
	private Node node1, node2;
	
	private int p12, p21;
	
	private int rssiAvg12, rssiAvg21;
	
	private int lqiAvg12, lqiAvg21;
	
	private double pdr12, pdr21;
	
	private double ETX;

	
	
	public Link(Node n1, Node n2, int pTotal, int p12, int p21, int rssi12, int rssi21, int lqi12, int lqi21) {
		this.node1     = n1;
		this.node2     = n2;
		this.p12       = p12;
		this.p21       = p21;
		this.rssiAvg12 = calculateRSSI(rssi12, pTotal);
		this.rssiAvg21 = calculateRSSI(rssi21, pTotal);;
		this.lqiAvg12  = calculateLQI(lqi12, pTotal);;
		this.lqiAvg21  = calculateLQI(lqi21, pTotal);;
		this.pdr12     = calculatePDR(p12, pTotal);
		this.pdr21     = calculatePDR(p21, pTotal);
		this.ETX       = calculateETX();
	}
	


	public Node getNode1() {
		return node1;
	}


	public Node getNode2() {
		return node2;
	}


	public double getETX() {
		return ETX;
	}


	public double getPdr12() {
		return pdr12;
	}


	public double getPdr21() {
		return pdr21;
	}

	
	public int getP12() {
		return p12;
	}


	public int getP21() {
		return p21;
	}


	public int getRssiAvg12() {
		return rssiAvg12;
	}


	public int getRssiAvg21() {
		return rssiAvg21;
	}


	public int getLqiAvg12() {
		return lqiAvg12;
	}


	public int getLqiAvg21() {
		return lqiAvg21;
	}
	
	
	private int calculateRSSI(int rssiSum, int packets) {
		return rssiSum / packets;
	}
	
	
	private int calculateLQI(int lqiSum, int packets) {
		return lqiSum / packets;
	}
	
	
	private double calculatePDR(int delivered, int total) {
		return ((double) delivered) / ((double) total);
	}
	
	
	private double calculateETX() {
		if (pdr12 * pdr21 == 0) {
			return 0;
		}
		return 1.0 / (pdr12 * pdr21);
	}
	
}
