import java.util.TreeMap;


public class Node implements Comparable<Node> {

	private String alias;

	private int id;
	
	private int x, y;
	
	private TreeMap<Node,Link> links = new TreeMap<Node,Link>(); 

	
	
	public Node(String alias, int id, int x, int y) {
		this.alias = alias;
		this.id    = id;
		this.x     = x;
		this.y     = y;
	}
	
	
	
	public static void setLink(Node n1, Node n2, Link l) {
		n1.addLink(n2, l);
		n2.addLink(n1, l);
	}
	

	public String getAlias() {
		return alias;
	}

	
	public int getId() {
		return id;
	}

	
	public int getX() {
		return x;
	}

	
	public int getY() {
		return y;
	}
	
	
	public TreeMap<Node, Link> getLinks() {
		return links;
	}


	public void addLink(Node n, Link l) {
		this.links.put(n, l);
	}



	@Override
	public int compareTo(Node n) {
		return id - n.id;
	}
	
}
