
public class Visualizer {
	

    private static void usage () {
    	
        System.err.println (
        	"USAGE:\n" +
        	"    java Visualizer [options] -p <TBProfile> -o <outputFile>\n" +
        	"\n" +
       		"OPTIONS:\n" +
       		"    -m <spatialMap>\n" +
       		"        A text file giving coordinates of the nodes.\n" +
       		"    -h, --help\n" +
       		"        Display this information\n"
        );
        
        
        System.exit(1);
        
    }

    
    public static void main (String[] args) throws InterruptedException {
    	
        String profile = null;
        String output  = null;
        String map     = null;
        int index      = 0;

        
        if (args.length >= 4) {
        	
            while (index < args.length) {

                String arg = args[index++];

                
                try {

                	if (arg.equals("-h") || arg.equals("--help")) {
                    
                		usage();
                        
                	} else if (arg.equals("-p")) {
                    
                		profile = args[index++];
                    
                	} else if (arg.equals("-o")) {
                    
                		output = args[index++];
                    
                	} else if (arg.equals("-m")) {
                    
                		map = args[index++];
                    
                	}
                	
                } catch (ArrayIndexOutOfBoundsException e) {
                	
                    usage();
                
                }
            }

            
            if (profile == null || output == null) {

            	usage();

			}
            
        } else {
        	
            usage();
        
        }

        
        new Parser(profile, output, map);

        
        System.exit(0);
        
    }
}
